semilimes mcu sdk 1.1.4 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DcForm Class Reference

## Public Member Functions
| ~DcForm ()
void | set (const char *recId, const char *recFeatureType, bool submitEnabled, bool retainStatus, const char *submitText, const char *refName, const char *align, bool authorizeSubmit, bool hideSubmissionMsg)
void | addFormComponents (const char *component)
void | appendFormComponents ()
char * | get ()

## Public Attributes
char | featureType [3][10] = {"contact","groupchat","channel"}
char | align [3][7] = {"left","center","right"}

## Constructor & Destructor Documentation

## ◆ ~DcForm()

DcForm::~DcForm | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addFormComponents()

void DcForm::addFormComponents | ( | const char * | component | ) |

Parameters

  component | - the json of the form component

Returns
  void

## ◆ appendFormComponents()

void DcForm::appendFormComponents | ( |  | ) |

Returns
  void

## ◆ get()

char * DcForm::get | ( |  | ) |

Returns
  char*

## ◆ set()

void DcForm::set | ( | const char * | recId,
|  | const char * | recFeatureType,
|  | bool | submitEnabled,
|  | bool | retainStatus,
|  | const char * | submitText,
|  | const char * | refName,
|  | const char * | align,
|  | bool | authorizeSubmit,
|  | bool | hideSubmissionMsg )

Parameters

  recId | - the receiver Id
  recFeatureType | - the type of the receiver: char* featureType[3][10] = {"contact","groupchat","channel"}
  submitEnabled | - enables the Submit button to be pressed before the form is actually submitted. Otherwise, the form will be submitted each time a user fills in/change values of a form component.
  retainStatus | - enables the form to maintain the last submitted values when the use case requires many users to operate the same form
  submitText | - is the text to be displayed in the Submit button of the form
  refName | - is a friendly name given to the form for later reference when filtering form submissions from clients.
  align | - allows to align all the children form components to a direction. Allowed values: align[3][7] = {"left","center","right"};
  authorizeSubmit | - allows to protect the in-app submission of the form by a pin code or biometrics, whatever is set in the messenger app.
  hideSubmissionMsg | - is a boolean to suppress in-app submission messages sent to receiver, while the API will still receive a submission for further processing

Returns
  void

## Member Data Documentation

## ◆ align

char DcForm::align[3][7] = {"left","center","right"}

Parameters

  char | align[3][7] = {"left","center","right"};

## ◆ featureType

char DcForm::featureType[3][10] = {"contact","groupchat","channel"}

Parameters

  char | featureType[3][10] = {"contact","groupchat","channel"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_form.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/dc_form.cpp